# Minimal Jekyll Theme

[![Gem Version](https://badge.fury.io/rb/minimal-jekyll-theme.svg)](https://badge.fury.io/rb/minimal-jekyll-theme)

## [Theme demo](https://desiredpersona.github.io/minimal-jekyll-theme/)

Subscribe to my [newsletter for more themes](https://desiredpersona.com/themes/).

## Homepage Layout
![Minimal Jekyll Theme - homepage layout](/screenshot.png)

## Post Layout With Hero Image And Call-To-Action
![Minimal Jekyll Theme - Post layout with hero image and cta](/screenshot-post-hero.png)

## Post Layout
![Minimal Jekyll Theme - Post layout](/screenshot-post-layout.png)


## Features

- Compatible with Jekyll 3.5.x and GitHub Pages
- System-fonts
- Mobile first responsive design
- Built with [Tachyons-sass](https://github.com/tachyons-css/tachyons-sass)
- Multiple author support
- Jekyll excerpt support
- Social share icons
- Header and footer navigation
- Post header image with optional CTA
- Multiple layouts including page, post, landing page, archives, categories and tags. [View layout demos](https://desiredpersona.github.io/minimal-jekyll-theme/docs/)
- [Disqus comments](https://disqus.com/)
- [Google Analytics](https://www.google.com/analytics/) async tracking.
- Facebook Pixel

## Plugin Dependencies

- Atom feed via [Jekyll feed](https://github.com/jekyll/jekyll-feed)
- Sitemap via [Jekyll sitemap](https://github.com/jekyll/jekyll-sitemap)
- SEO via [Jekyll-seo-tag](https://github.com/jekyll/jekyll-seo-tag)
- Archive pages for year, month, day, categories and tags auto-generated via [Jekyll archives](https://github.com/jekyll/jekyll-archives)

## Installation

Please read the [theme documentation](https://desiredpersona.github.io/minimal-jekyll-theme/docs/).


## Credits

#### Creator

Desired Persona

- [https://desiredpersona.com](https://desiredpersona.com)
- [https://twitter.com/desiredpersona](https://twitter.com/desiredpersona)
- [https://github.com/desiredpersona](https://github.com/desiredpersona)

#### Thanks

- [Jekyll](http://jekyllrb.com)
- [Tachyons](http://tachyons.io)
- [Tachyons background overlays by Alec Lomas](https://github.com/lowmess/tachyons-background-overlays)
- [SVG icons by Matthew Skiles](https://dribbble.com/shots/1925069-Lynny-Icon-Set-Free)

## Contributing

Bug reports and pull requests are welcome on GitHub at [https://github.com/desiredpersona/minimal-jekyll-theme](https://github.com/desiredpersona/minimal-jekyll-theme).

## License

The MIT License (MIT)

Copyright (c) 2017 Desired Persona

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

#### TLDR:
This theme is free to use for personal and/or commercial sites once you do not remove the attribution link from the themes footer.

#### Remove Attribution Link (Optional):
If you would like to remove the attribution link from the themes footer for personal and/or commercial sites set `attribution: false` in your theme.yml file and [purchase a theme licence.](https://desiredpersona.com/themes/)

